* {
  margin: 0;
  padding: 0;
  border: 0;
  /* додаємо за потреби */
  transition: all 0.3s ease 0s;
}

*,
*::before,
*::after {
  box-sizing: inherit;
}

html {
  box-sizing: border-box;
}

:focus,
:active {
  outline: none;
}

a:focus,
a:active {
  outline: none;
}

nav,
header,
footer,
aside {
  display: block;
}

html,
body {
  /*	height: 100%;*/
  width: 100%;
  font-size: 100%;
  line-height: 1.2;
  font-family: "Montserrat", Sans-serif;
  font-size: clamp(
    16px,
    calc(16px + (20 - 16) * ((100vw - 320px) / (1980 - 320))),
    20px
  );
  -ms-text-size-adjust: 100%;
  -moz-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
}

a,
a:visited {
  text-decoration: none;
}

a:hover {
  text-decoration: none;
}

ul li {
  list-style: none;
}

img {
  vertical-align: top;
}

h1{
  font-size: inherit;
  font-weight: 400;
}

img {
  max-width: 100%;
  height: auto;
}

a {
  font-family: "Montserrat", Sans-serif;
  color: white;
  display: block;
}

.wrapper {
  height: 100vh;
  position: relative;
}

.container {
  margin: 0 auto;
  padding: 0 70px;
  position: relative;
  width: calc(100vw * 4 / 6);
  height: 100%;
  display: flex;
  flex-direction: column;
}

.main {
  flex: 1 1 auto;
  padding: 80px 0 30px 0;
  color: white;
  position: relative;
  max-height: 700px;
  z-index: 10;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

p {
  margin-bottom: 15px;
}

.bg_img {
  position: absolute;
  height: 100%;
  width: 100%;
  top: 0;
  left: 0;
}

.bg_img img {
  height: 100%;
  width: 100%;
  object-fit: cover;
}

.bg_overlay {
  position: absolute;
  height: 100%;
  width: 100%;
  top: 0;
  left: 0;
  background-color: #00000069;
}

.container_overlay {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  background-color: #00000069;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
}

.container_overlay > div {
  border-right: 1px solid #ffffff26;
}

.container_overlay > div:first-child {
  border-left: 1px solid #ffffff26;
}

.header {
  padding-top: 40px;
}

.header_logo {
  flex: 0 0 auto;
  overflow: hidden;
  position: relative;
  z-index: 10;
}

.header_logo img {
  display: block;
}

h1 {
  font-size: clamp(
    40px,
    calc(40px + (100 - 40) * ((100vw - 320px) / (1980 - 320))),
    100px
  );
  text-transform: uppercase;
  font-weight: 600;
  line-height: 1.1;
  margin-bottom: 30px;
}

h1 span {
  color: #ce0202;
}

.subtitle {
  font-size: clamp(
    16,
    calc(16 + (24 - 16) * ((100vw - 320px) / (1980 - 320))),
    24px
  );
  font-weight: 600;
}

.text {
  color: #e3e3e3;
  font-weight: 400;
  margin-bottom: 50px;
}

.btn {
  background-color: #ce0202;
  padding: 10px 15px;
  font-weight: 700;
  max-width: 480px;
  margin-bottom: 25px;
}

.contact_us {
  display: flex;
  gap: 35px;
}

.contact_us a {
  display: inline-flex;
  align-items: center;
  gap: 15px;
  color: inherit;
  text-decoration: none;
  transition: color 0.3s ease;
}

.icon {
  display: inline-flex;
}

.phone {
  pointer-events: none;
  cursor: default;
}

@media (hover: hover) and (pointer: fine) {
  .contact_us a:hover {
    transform: scale(1.02);
  }
}

@media (max-width: 1980px) {
  .header_logo {
    max-width: calc(160px + (270 - 160) * ((100vw - 320px) / (1980 - 320)));
  }
}

@media (max-width: 991px) {
  .container {
    width: calc(100vw * 3 / 4);
    margin-left: 0;
    padding: 0 50px;
  }

  .container_overlay {
    grid-template-columns: repeat(3, 1fr);
  }

  .container_overlay > div:last-child {
    display: none;
  }

  .main,
  .header {
    width: calc(100vw - 100px);
  }
}

@media (max-width: 768px) {
  .header {
    width: calc(100vw - 60px);
  }

  .header_logo {
    margin: 0 auto;
  }

  .main {
    padding-top: 50px;
    width: calc(100vw - 60px);
  }

  .container {
    width: calc(100vw * 2 / 3);
    padding: 0 30px;
  }

  .container_overlay {
    grid-template-columns: repeat(2, 1fr);
    background-color: #0000003d;
  }

  .bg_overlay {
    background-color: #00000099;
  }
  .container_overlay > div:nth-last-child(2) {
    display: none;
  }

  .container_overlay > div {
    border-right: 0;
  }

  .container_overlay > div:first-child {
    border-left: 0;
  }

  .phone {
    pointer-events: auto;
    cursor: pointer;
  }

  .text_wrapper {
    text-align: center;
  }

  .btn {
    text-align: center;
    margin: 0 auto 30px auto;
  }

  .contact_us {
    flex-direction: column;
    gap: 14px;
    align-items: center;
  }
}